version: '3'

volumes:
  mailserver_posteio:

services:
  mailserver:
    image: analogic/poste.io
    container_name: poste-io
    restart: always
    ports:
      - "25:25"
      - "8800:80"
      - "4433:443"
      - "110:110"
      - "143:143"
      - "465:465"
      - "587:587"
      - "993:993"
      - "995:995"
      - "4190:4190"
    environment:
      - VIRTUAL_HOST=mail.geumdo.net
      - LETSENCRYPT_HOST=mail.geumdo.net
      - LETSENCRYPT_EMAIL=admin@mail.geumdo.net
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - mailserver_posteio:/data
      - ./certs:/data/ssl
